const express = require("express");
const router = express.Router();
const tiposArtigoController = require("../controllers/tiposArtigoController");

// Route for getting all tiposArtigo
router.get("/tiposArtigo", tiposArtigoController.getAllTiposArtigo);

// Route for getting a specific user by ID
router.get("/tiposArtigo/:id", tiposArtigoController.getTipoArtigoById);

// Route for creating a new user
router.post("/tiposArtigo", tiposArtigoController.createTipoArtigo);

// Route for updating a user by ID
router.put("/tiposArtigo/:id", tiposArtigoController.updateTipoArtigo);

// Route for deleting a user by ID
router.delete("/tiposArtigo/:id", tiposArtigoController.deleteTipoArtigo);

module.exports = router;
